on awake from nib the_object
	set object_name to name of the_object as Unicode text
	if object_name = "people_picker" then
		my set_to_me()
		my update_selected_person_field()
	end if
end awake from nib

on launched the_object
	tell window "main"
		center
		show
	end tell
end launched

on clicked the_object
	set object_name to name of the_object as Unicode text
	try
		if object_name = "toggle" then
			tell window "main"
				tell drawer "people_picker"
					if state = drawer closed then
						open drawer
						set the_state to 1
					else
						close drawer
						set the_state to 0
					end if
				end tell
				set state of button "disclosure" to the_state
			end tell
			
		else if object_name = "set_person" then
			my update_selected_person_field()
		end if
	on error the_error
		log the_error
	end try
	
end clicked

on should quit after last window closed the_object
	return true
end should quit after last window closed

on set_to_me()
	set my_record to (call method "getMe" of class "methods")
	call method "selectRecord:byExtendingSelection:" of (view "people_picker" of drawer "people_picker" of window "main") with parameters {my_record, false}
end set_to_me

on get_id()
	set selected_records to call method "selectedRecords" of (view "people_picker" of drawer "people_picker" of window "main")
	return call method "uniqueId" of (item 1 of selected_records)
end get_id

on update_selected_person_field()
	tell window "main"
		set {first_name, last_name, company_name, email_address} to call method "getABRecordFromID:updateImageView:" of class "methods" with parameters {my get_id(), image view "image"}
		if (first_name  "") and (last_name  "") then
			set full_name to (first_name & " " & last_name)
		else
			set full_name to (first_name & last_name)
		end if
		if full_name = "" then set full_name to company_name
		if email_address  "" then set email_address to " <" & email_address & ">"
		set contents of text field "selected_person" to (full_name & email_address)
	end tell
end update_selected_person_field